spring:
  datasource:
    dynamic:
      primary: master #设置默认的数据源或者数据源组,默认值即为master
      strict: false #严格匹配数据源,默认false. true未匹配到指定数据源时抛异常,false使用默认数据源
      datasource:
        master:
          url: jdbc:mysql://10.10.10.230:3306/sckw_slope?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=GMT%2B8
          username: sckw_dev
          password: Yy123...
          driver-class-name: com.mysql.jdbc.Driver # 3.2.0开始支持SPI可省略此配置
        td:
          url: jdbc:TAOS-RS://10.10.10.221:6041/devicesV2?charset=UTF-8&locale=en_US.UTF-8&timezone=UTC-8
          username: root
          password: taosdata
          driver-class-name: com.taosdata.jdbc.rs.RestfulDriver
          pool-name: Data_trans_HikariCP
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 10.10.10.230:8848
        # 命名空间
        namespace: slope-manage-service-lfdc
        # 共享配置
        group: slope-manage-service
      config:
        # 配置中心地址
        server-addr: 10.10.10.230:8848
        # 配置文件格式
        file-extension: yaml
        # 命名空间
        namespace: slope-manage-service-lfdc
        # 共享配置
        group: slope-manage-service
        #可以读多个配置文件  需要在同一个命名空间下面可以是不同的组
        extension-configs:
          - dataId: slope-common.yml
            group: slope-manage-service
            refresh: true
## MQTT##
mqtt:
  send:
    #完成超时时间
    completionTimeout: 3000
    #通过mqtt发送消息验证所需用户名
    username: admin
    port: 1883
    #通过mqtt发送消息验证所需密码
    password: public..
    #连接的mqtt地址
    url: tcp://10.10.10.108
    #客户端id
    clientId: mqttx_4c1
    #推送主题  后面跟着#是监控下面所有的话题
    topic: system/iot/device_data_slope/#
    #topic: my-test
    # 会话心跳时间
    keepAliveInterval: 20
    # 设置连接超时时间
    connectionTimeout: 3000
    timeout: 10
    keepalive: 20
  # 要消费的topic配置
  receive:
    topic: slopePush/slopePull/test/out,test,slope,sharjeck/ai/test/out,system/iot/original_data_slope,system/iot/device_data_slope,system/iot/deviceDataSlopeDemo
  isConsume: false
OkHttpClit:
  url: http://10.10.10.185:9501
## 订阅发布使用
##ENMQX_HOST=10.10.10.108
#ENMQX_PORT=1883
#ENMQX_USERNAME=admin
#ENMQX_PASSWORD=public..
#
##http:发布与订阅/api/v5/publish
#ENMQX_API_HOST=http://10.10.10.108:18083
#ENMQX_API_USERNAME=7dd9f635e3eddfca
#ENMQX_API_PASSWORD=Z9A7kzHsICN5QRG9B8NTodceliwgh9AD9Bg6v4l9CXF1wL1B


#oss上传
aliyun:
  oss:
    endpoint: oss-cn-chengdu.aliyuncs.com
    accessKeyId: LTAI5tPEbubCGq5Rdwygbz4Q
    secret: 7mQLWMaBJeZPRV1SRGogctYGXwppjQ
    bucket: kaiwu-saas
scheduled:
  template:
    enable: false
  device:
    enable: false

mybatis-plus:
  #  mapper-locations: classpath*:/mapper/*/*.xml    #扫描xml文件
  #  #实体扫描，多个package用逗号或者分号分隔
  #  typeAliasesPackage: com.sckw.*.model.dos.mysql,com.sckw.*.model.dos.tdengine
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl